Bug 864900 - User's change to node.conf does not take effect unless reboot node.
User's change to node.conf does not take effect unless reboot node.
Product: OpenShift Container Platform
Classification: Red Hat
Component: Pod (Show other bugs)
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Luke Meyer
libra bugs
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2012-10-10 07:07 EDT by Johnny Liu
Modified: 2017-03-08 12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-01-08 06:52:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Johnny Liu 2012-10-10 07:07:31 EDT
Description of problem:
Modify GEAR_SHELL value in node.conf, it does NOT take effect for app cration unless reboot this node.

Version-Release number of selected component (if applicable):

Following https://openshift.redhat.com/community/wiki/build-your-own to setup onpremise env using the above repo 

How reproducible:

Steps to Reproduce:
1. In /etc/openshift/node.conf, the following line is seen:
2. Modify this line to 
3. Create app
4. Check /etc/passwd
Actual results:
Found the app gear unix user is still using /usr/bin/ss-trap-user
e95789194d3b478294e2c541c02cf347:x:501:501:OpenShift guest:/var/lib/openshift/e95789194d3b478294e2c541c02cf347:/usr/bin/ss-trap-user

Reboot node, create app again, check /etc/passwd, this time, it works fine, it using /usr/bin/oo-trap-user login shell.

Expected results:
Should make the modification to node.conf take effect without reboot node.

Additional info:
Comment 1 Brenton Leanhardt 2012-11-20 11:35:24 EST
We might solve this with documentation in the config files we ship.
Comment 3 Brenton Leanhardt 2012-12-04 14:54:03 EST
For 1.1 we're going to spend time verifying our docs are correct.
Comment 4 Luke Meyer 2012-12-05 09:58:02 EST
To clarify, actually most node.conf settings do take effect immediately or at least quickly. But I have a todo outstanding to document those which don't (actually this is more oriented toward resource_limits.conf but it's all node conf).
Comment 5 Luke Meyer 2013-01-07 22:30:30 EST
I tested the actual thing reported, and a few others, and as far as I can see, when you change these things in node.conf, changes are reflected in the next app create, no restart of anything needed (with the exception of PUBLIC_HOSTNAME which needs a facter run to pick up at the broker).

A lot has changed since October. Can anyone verify there is still a problem here? Or we can just close.

I still need to document changing node profile but I think that's a separate issue.
Comment 6 Johnny Liu 2013-01-08 06:52:32 EST
Retest this bug with 1.1.x/2013-01-07.2 puddle, now it works fine.
So I close it as UPSTREAM.

1. In /etc/openshift/node.conf, modify the following line:
2. Create app
$ rhc app create wsgitest python-2.6 -p xx -l jialiu@redhat.com -g medium --no-git
Application Options
  Namespace: jialiu
  Cartridge: python-2.6
  Gear Size: medium
  Scaling:   no

Creating application 'wsgitest' ... done

Waiting for your DNS name to be available ... done

wsgitest @ http://wsgitest-jialiu.example.com/ (uuid: 617d8e6b422347a4bfafb5a13597c94f)
  Created:   6:48 AM
  Gear Size: medium
  Git URL:   ssh://617d8e6b422347a4bfafb5a13597c94f@wsgitest-jialiu.example.com/~/git/wsgitest.git/
  SSH:       617d8e6b422347a4bfafb5a13597c94f@wsgitest-jialiu.example.com

  python-2.6 (Python 2.6)

Application wsgitest was created.
3. Check /etc/passwd on node
# cat /etc/passwd|grep 617d8e6b422347a4bfafb5a13597c94f
617d8e6b422347a4bfafb5a13597c94f:x:530:530:OpenShift guest:/var/lib/openshift/617d8e6b422347a4bfafb5a13597c94f:/bin/sh

Note You need to log in before you can comment on or make changes to this bug.